import 'package:flutter/material.dart';
import 'package:flut/flut/runtime.dart';

class FlutSelectableText {
  FlutSelectableText._();

  static SelectableText? flutDecode(
    FlutRuntime runtime,
    Map<String, dynamic> data,
  ) {
    return SelectableText(
      runtime.unpackRequiredField<String>(data, 'data'),
      key: runtime.decodeKey(data),
      style: runtime.unpackOptionalField<TextStyle>(data, 'style'),
      maxLines: runtime.unpackOptionalField<int>(data, 'maxLines'),
    );
  }
}
